void
do_exit(int argc, const char ** argv)
{
+ int r = 0;
if (getpid() == 1)
{
fprintf(stderr, "You are the INIT process!\n");
return;
}
-
- exit(0);
+ if (argc == 2)
+ {
+ r = atoi(argv[1]);
+ }
+ exit(r);
}
+sash (3.7-9) unstable; urgency=low
+
+ * Drop dependency on lockfile-progs, no longer needed.
+ * Drop versioned dependency on passwd, that version is pre-oldstable
+ * Drop versioned conflicts on fileutils, that version is pre-oldstable.
+ * Move to debhelper 7 instead of cdbs.
+ * Add missing set -e to postrm.
+ * Drop full paths to add-shell and remove-shell.
+ * Add lintian override for embedded zlib.
+
+ -- Tollef Fog Heen <tfheen@debian.org> Fri, 09 Oct 2009 09:15:48 +0200
+
sash (3.7-8) unstable; urgency=medium
* Get rid of the sashroot account and all debconfiscation (but don't
Priority: optional
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Standards-Version: 3.8.0
-Build-Depends: zlib1g-dev (>= 1:1.2.2-7), cdbs, debhelper (>= 4.1.0), e2fslibs-dev
+Build-Depends: zlib1g-dev (>= 1:1.2.2-7), debhelper (>= 7), e2fslibs-dev
Package: sash
Architecture: any
Section: shells
Priority: optional
-Depends: lockfile-progs, passwd (>= 1:4.0.3-10), ${shlibs:Depends}, ${misc:Depends}
-Conflicts: fileutils (<<4.0-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: doc-debian
Description: Stand-alone shell
sash serves as an interactive substitute for /bin/sh, for use when
bin
usr/share/man/man1
+usr/share/lintian/overrides/
sash: statically-linked-binary ./bin/sash
+sash: embedded-zlib ./bin/sash
if [ "$1" = "configure" ] && [ "$2" = "" ] || dpkg --compare-versions "$2" lt "3.7-7.3"; then
# initial install or upgrade from old version which didn't call
# add-shell properly.
- /usr/sbin/add-shell /bin/sash
+ add-shell /bin/sash
fi
# Make sure we get rid of any stuff in /usr/doc
-#!/bin/sh
+#! /bin/sh
+
+set -e
case "$1" in
purge)
rm -rf /var/lib/sash/
;;
remove)
- /usr/sbin/remove-shell /bin/sash
+ remove-shell /bin/sash
;;
esac
pkgdir := `pwd`/debian/sash
-DEB_MAKE_INSTALL_TARGET=install BINDIR=$(pkgdir)/bin MANDIR=$(pkgdir)/usr/share/man/man1
-# work around cdbs brain-damage
-LDFLAGS=-static
+%:
+ dh $@
-include /usr/share/cdbs/1/class/makefile.mk
-include /usr/share/cdbs/1/rules/debhelper.mk
+override_dh_auto_install:
+ make install BINDIR=$(pkgdir)/bin MANDIR=$(pkgdir)/usr/share/man/man1
-binary-install/sash::
- mkdir -p $(pkgdir)/usr/share/lintian/overrides/
+override_dh_install:
+ dh_install
install -m 0644 debian/lintian-overrides $(pkgdir)/usr/share/lintian/overrides/sash
},
{
- "exit", do_exit, 1, 1,
+ "exit", do_exit, 1, 2,
"Exit from sash",
- ""
+ "[exit value]"
},
{